Show / Hide Table of Contents

# Struct String

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct String

### Fields

| Improve this Doc View Source

#### Buffer

##### Declaration

    public byte *Buffer

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### BufferPtr

##### Declaration

    public byte *BufferPtr

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Capacity

##### Declaration

    public ulong Capacity

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Length

##### Declaration

    public ulong Length

##### Field Value

Type | Description
--- | ---
System.UInt64 |

### Methods

| Improve this Doc View Source

#### GetBytes()

##### Declaration

    public byte[] GetBytes()

##### Returns

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.ValueType.ToString()